Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.java5
Class EnumType

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type
          org.codehaus.xfire.aegis.type.java5.EnumType

All Implemented Interfaces:
  SchemaType

    public class EnumType

extends Type

Constructor Summary
`EnumType()`

Method Summary
`boolean` | `isComplex()` Whether or not this a complex type.
`java.lang.Object` | `readObject(MessageReader reader, MessageContext context)`
`void` | `setTypeClass(java.lang.Class typeClass)`
`void` | `writeObject(java.lang.Object object, MessageWriter writer, MessageContext context)`
`void` | `writeSchema(org.codehaus.yom.Element root)` Write the type schema (if complex) to the element.

Methods inherited from class org.codehaus.xfire.aegis.type.Type
`equals, getDependencies, getSchemaType, getTypeClass, getTypeMapping, hashCode, isAbstract, isNillable, isWriteOuter, setAbstract, setNillable, setSchemaType, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumType

    public EnumType()

Method Detail

### readObject

    public java.lang.Object readObject(MessageReader reader,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readObject` in class `Type`
  Throws:
    `XFireFault`

### writeObject

    public void writeObject(java.lang.Object object,
                            MessageWriter writer,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `writeObject` in class `Type`
  Throws:
    `XFireFault`

### setTypeClass

    public void setTypeClass(java.lang.Class typeClass)

  Overrides:
    `setTypeClass` in class `Type`
  Parameters:
    `typeClass` - The typeClass to set.

### writeSchema

    public void writeSchema(org.codehaus.yom.Element root)

  Description copied from interface: `SchemaType`
  Write the type schema (if complex) to the element.

  Specified by:
    `writeSchema` in interface `SchemaType`
  Overrides:
    `writeSchema` in class `Type`

### isComplex

    public boolean isComplex()

  Description copied from interface: `SchemaType`
  Whether or not this a complex type. If true then the schema for this type is written out.

  Specified by:
    `isComplex` in interface `SchemaType`
  Overrides:
    `isComplex` in class `Type`
  Returns:
    True if a complex type schema must be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.